
TYPO3.Flow - Task # 13694

Status: Resolved Priority: Should have
Author: Robert Lemke Category: - Documentation -
Created: 2011-03-08 Assigned To: Bastian Waidelich
Updated: 2013-01-11 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Provide good naming conventions for directories in Resources/
Description

Currently we only have a limited set of naming suggestions for directories below "Resources". The current approach for Fluid
templates (...../Templates/ControllerName/action.html) will clash with what we might want for TYPO3 Fluid templates (ie. page
templates, templates for TypoScript objects etc.), so just using "Templates" is not good enough.

Anyway, we need some good defaults which cover a broad range of uses for storing templates but also related media.

Associated revisions
Revision 4d72543c - 2013-01-09 14:29 - Bastian Waidelich

[TASK] Adjust suggested folder structure in Package Management section

I7772051938a4306328108bacde34710c54fc3a69 introduced suggested
names for directories under Resources/Public.

This adjusts the suggested folder names as discussed and adds a link
to the ResourceManagement chapter.

Change-Id: I0986699fb770dda58dae3daa9fae434b37088dee
Related: #42726
Resolves: #13694
Releases: master, 2.0

Revision ea267971 - 2013-01-15 10:30 - Bastian Waidelich

[TASK] Adjust suggested folder structure in Package Management section

I7772051938a4306328108bacde34710c54fc3a69 introduced suggested
names for directories under Resources/Public.

This adjusts the suggested folder names as discussed and adds a link
to the ResourceManagement chapter.

Change-Id: I0986699fb770dda58dae3daa9fae434b37088dee
Related: #42726
Resolves: #13694
Releases: master, 2.0
History
#1 - 2011-08-04 08:35 - Sebastian Kurfuerst
- Category set to - Documentation -

#2 - 2011-08-04 08:35 - Sebastian Kurfuerst
- Target version changed from 1.0 beta 1 to 1.0 beta 2

#3 - 2011-08-04 08:36 - Sebastian Kurfuerst
- Target version changed from 1.0 beta 1 to 1.0 beta 2

#4 - 2011-08-04 08:36 - Sebastian Kurfuerst
- Target version changed from 1.0 beta 1 to 1.0 beta 2
- Parent task deleted (#11958)

#5 - 2011-08-29 15:04 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to Documentation
- Category deleted (- Documentation -)

#6 - 2011-09-09 10:27 - Karsten Dambekalns
- Target version changed from 1.0 beta 2 to 1.0.0

#7 - 2011-10-20 01:46 - Karsten Dambekalns
- Target version deleted (1.0.0)

#8 - 2012-06-21 12:08 - Karsten Dambekalns
- Project changed from Documentation to TYPO3.Flow

#9 - 2012-06-21 12:08 - Karsten Dambekalns
- Category set to - Documentation -
- Has patch set to No

#10 - 2012-12-12 12:46 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Target version set to 2.0 beta 1

#11 - 2012-12-12 12:50 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17126

#12 - 2012-12-12 12:51 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17126

#13 - 2012-12-12 21:57 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.0
#14 - 2013-01-11 19:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4d72543cd7aced3b58cd5b01843cc6877fe58ff8.
